<?php

ob_start();

try {

    require_once realpath(
        dirname(__FILE__) . DIRECTORY_SEPARATOR .
        '..' . DIRECTORY_SEPARATOR .
        '..' . DIRECTORY_SEPARATOR .
        'app' . DIRECTORY_SEPARATOR .
        'engine') . DIRECTORY_SEPARATOR . 'configure.inc.php';

    if (false === array_key_exists('Id', $_GET)) {
        throw new Exception('No vehicle Id in request.');
    }

    $filter = json_decode(json_encode(
        array(
            'BaseValue' => array(
                'Id' => intval($_GET['Id'])
            )
        ), JSON_FORCE_OBJECT)
    );

    $vehicle = CarApiClient :: filterVehicle($filter);

    $vehicle = $vehicle['VehicleFilterResponse']->Vehicle[0];

    $vehicle->FullCategory      = CarApiClient :: translateValue($vehicle->FullCategory, 'FullCategory');
    $vehicle->Type              = CarApiClient :: translateValue($vehicle->Type, 'Type');
    $vehicle->Gearbox           = CarApiClient :: translateValue($vehicle->Gearbox, 'Gearbox');
    $vehicle->Fuel              = CarApiClient :: translateValue($vehicle->Fuel, 'Fuel');

    $vehicle->EmissionClass     = CarApiClient :: translateValue($vehicle->EmissionClass, 'EmissionClass');
    $vehicle->Color->External   = CarApiClient :: translateValue($vehicle->Color->External, 'Color');
    $vehicle->AccsList          = CarApiClient :: translateValues(prepareAccsList($vehicle->AccsList), 'AccsList');

    $vehicle->Freetext->Formated = parseBBCode($vehicle->Freetext->Formated);
    echo json_encode($vehicle);
}
catch (Exception $e) {

    error_log('[' . basename(__FILE__) .'] ' . $e->getMessage());

    header("HTTP/1.0 500 Internal Server Error");
    echo json_encode($e->getMessage());
}

ob_end_flush();
?>